using System;
using System.Data;
using System.Configuration;
using System.Data.Common;

namespace CSF.MySQL.TraceIssue
{
    public class ConnectionCreator
    {
        #region constants

        private const string CONNECTION_NAME = "Default";

        #endregion

        #region methods

        public IDbConnection CreateConnection()
        {
            DbProviderFactory factory;
            IDbConnection output;

            ConnectionStringSettings connStringConfig = ConfigurationManager.ConnectionStrings[CONNECTION_NAME];
            factory = DbProviderFactories.GetFactory(connStringConfig.ProviderName);

            output = factory.CreateConnection();
            output.ConnectionString = connStringConfig.ConnectionString;

            return output;
        }

        #endregion
    }
}

