using System;

namespace CSF.MySQL.TraceIssue
{
    public class EntryPoint
    {
        public static void Main()
        {
            ConnectionCreator connectionCreator = new ConnectionCreator();
            ITraceProvider traceProvider = new WorkingTraceProvider();
//            ITraceProvider traceProvider = new MalfunctioningTraceProvider();

            TestCase testCase = new TestCase(connectionCreator, traceProvider);
            testCase.ExecuteTest();
        }
    }
}

